> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aseed.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Records Meta Batch

> Get lightweight metadata for multiple records in batch.

Query parameters:
- ids: comma-separated list of record UUIDs
  (e.g., "uuid1,uuid2,uuid3")
- include: comma-separated list of additional fields to include
  (e.g., "file_info,processing_stats")



## OpenAPI

````yaml /api-reference/openapi-filtered.json get /insight/meta-batch
openapi: 3.1.0
info:
  title: Aseed Insight API
  version: 0.1.0
servers:
  - url: https://app.aseed.ai/custdev
security: []
tags:
  - name: insight
    description: 'Core insight endpoints: records, transcripts, generation, and chat.'
    x-displayName: Insight
  - name: insight_public
    description: Public insight endpoints for shared/public access.
    x-displayName: Insight Public
  - name: projects
    description: Project management endpoints.
    x-displayName: Projects
  - name: project_reports
    description: Project report generation and management endpoints.
    x-displayName: Project Reports
  - name: project_reports_public
    description: Public project report endpoints.
    x-displayName: Project Reports Public
  - name: prompts
    description: Custom prompts management endpoints.
    x-displayName: Prompts
  - name: presets
    description: Presets and templates endpoints.
    x-displayName: Presets
  - name: agent
    description: AI agent threads and chat endpoints.
    x-displayName: Agent
  - name: interviews
    description: AI interviewer room and session endpoints.
    x-displayName: Interviews
  - name: webhooks
    description: Incoming webhook endpoints.
    x-displayName: Webhooks
paths:
  /insight/meta-batch:
    get:
      tags:
        - insight
      summary: Get Records Meta Batch
      description: |-
        Get lightweight metadata for multiple records in batch.

        Query parameters:
        - ids: comma-separated list of record UUIDs
          (e.g., "uuid1,uuid2,uuid3")
        - include: comma-separated list of additional fields to include
          (e.g., "file_info,processing_stats")
      operationId: get_records_meta_batch_insight_meta_batch_get
      parameters:
        - name: ids
          in: query
          required: true
          schema:
            type: string
            title: Ids
        - name: include
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Include
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordsMetaBatchResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RecordsMetaBatchResponse:
      properties:
        records:
          additionalProperties:
            $ref: '#/components/schemas/RecordMetaResponse'
          type: object
          title: Records
      type: object
      required:
        - records
      title: RecordsMetaBatchResponse
      description: Batch response for multiple record metadata.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RecordMetaResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        status:
          type: string
          title: Status
        available_versions:
          additionalProperties:
            items:
              type: integer
            type: array
          type: object
          title: Available Versions
        size_mb:
          type: number
          title: Size Mb
        file_extension:
          anyOf:
            - type: string
            - type: 'null'
          title: File Extension
        is_public:
          type: boolean
          title: Is Public
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        participants_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Participants Count
        project_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Project Id
        file_info:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: File Info
        processing_stats:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Processing Stats
      type: object
      required:
        - id
        - name
        - status
        - available_versions
        - size_mb
        - file_extension
        - is_public
        - created_at
        - updated_at
        - participants_count
      title: RecordMetaResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````